%define upstream_name    Math-BigInt
%define upstream_version 2.004001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Arbitrary size integer/float math package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::Complex) >= 1.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

Provides:   perl-Math-BigRat =  %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:  perl-Math-BigRat < 0.2624-502

%{?perl_default_filter}
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigRat::Test\\)

%description
All operators (including basic math operations) are overloaded if you declare
your big integers as

  $i = new Math::BigInt '123_456_789_123_456_789';

Operations with overloaded operators preserve the arguments which is exactly
what you expect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc BUGS CHANGES CREDITS GOALS HISTORY LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO examples
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Mon Mar 03 2025 tv <tv> 2.4.1-1.mga10
+ Revision: 2159307
- update to 2.004001

* Sat Jan 25 2025 tv <tv> 2.3.4-1.mga10
+ Revision: 2142349
- update to 2.003004

* Tue May 28 2024 tv <tv> 2.3.3-1.mga10
+ Revision: 2068567
- update to 2.003003

* Mon Jan 08 2024 tv <tv> 2.3.2-1.mga10
+ Revision: 2028950
- update to 2.003002

* Thu Dec 28 2023 tv <tv> 2.3.1-1.mga10
+ Revision: 2022949
- update to 2.003001

* Tue Dec 12 2023 tv <tv> 2.2.1-1.mga10
+ Revision: 2017502
- update to 2.002001

* Mon Dec 04 2023 tv <tv> 2.2.0-1.mga10
+ Revision: 2012997
- update to 2.002000

* Fri Nov 03 2023 tv <tv> 2.0.0-2.mga10
+ Revision: 2003787
- Merge the Math-BigRat distribution into the Math-BigInt distribution

* Wed Nov 01 2023 tv <tv> 2.0.0-1.mga10
+ Revision: 2003279
- update to 2.000000

* Wed Oct 11 2023 tv <tv> 1.999.842-1.mga10
+ Revision: 1994754
- update to 1.999842

* Sat Sep 23 2023 tv <tv> 1.999.841-1.mga10
+ Revision: 1989751
- update to 1.999841

* Wed Aug 30 2023 tv <tv> 1.999.839-1.mga10
+ Revision: 1981098
- update to 1.999839

* Sun Jul 17 2022 tv <tv> 1.999.837-1.mga9
+ Revision: 1869276
- update to 1.999837

* Tue Jun 28 2022 tv <tv> 1.999.836-1.mga9
+ Revision: 1866506
- update to 1.999836

* Thu May 26 2022 tv <tv> 1.999.835-1.mga9
+ Revision: 1860246
- update to 1.999835

* Wed May 18 2022 tv <tv> 1.999.831-1.mga9
+ Revision: 1858639
- update to 1.999831

* Tue Apr 19 2022 tv <tv> 1.999.830-1.mga9
+ Revision: 1851622
- update to 1.999830

* Mon Mar 21 2022 umeabot <umeabot> 1.999.829-2.mga9
+ Revision: 1815938
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.999.829-1.mga9
+ Revision: 1767726
- update to 1.999829

* Fri Dec 31 2021 tv <tv> 1.999.828-1.mga9
+ Revision: 1765533
- update to 1.999828

* Mon Oct 04 2021 tv <tv> 1.999.827-1.mga9
+ Revision: 1749338
- update to 1.999827

* Mon Oct 04 2021 tv <tv> 1.999.826-1.mga9
+ Revision: 1749337
- update to 1.999826

* Mon Sep 27 2021 tv <tv> 1.999.824-1.mga9
+ Revision: 1746677
- update to 1.999824

* Sat Jul 17 2021 tv <tv> 1.999.823-1.mga9
+ Revision: 1736451
- update to 1.999823

* Mon Jul 05 2021 tv <tv> 1.999.819-1.mga9
+ Revision: 1734858
- Update to 1.999819

* Mon Feb 17 2020 umeabot <umeabot> 1.999.818-2.mga8
+ Revision: 1537102
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 tv <tv> 1.999.818-1.mga8
+ Revision: 1455628
- update to 1.999818

* Mon Oct 14 2019 tv <tv> 1.999.817-1.mga8
+ Revision: 1453290
- update to 1.999817

* Tue Aug 27 2019 tv <tv> 1.999.816-3.mga8
+ Revision: 1433174
- rebuild with perl-5.30

* Fri Apr 05 2019 shlomif <shlomif> 1.999.816-2.mga7
+ Revision: 1386183
- Rebuild for new perl 5.28.0

* Tue Oct 30 2018 tv <tv> 1.999.816-1.mga7
+ Revision: 1326669
- update to 1.999816

* Sat Oct 20 2018 tv <tv> 1.999.815-1.mga7
+ Revision: 1322684
- new release

* Wed Oct 17 2018 shlomif <shlomif> 1.999.814-1.mga7
+ Revision: 1321464
- update to 1.999814

* Thu Sep 20 2018 umeabot <umeabot> 1.999.813-3.mga7
+ Revision: 1284753
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 guillomovitch <guillomovitch> 1.999.813-2.mga7
+ Revision: 1250645
- rebuild for new perl 5.28, as to override CORE version

* Mon Apr 23 2018 shlomif <shlomif> 1.999.813-1.mga7
+ Revision: 1221450
- update to 1.999813

* Tue Oct 03 2017 tv <tv> 1.999.811-2.mga7
+ Revision: 1165296
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 1.999.811-1.mga7
+ Revision: 1155527
- update to 1.999811

* Mon Jul 24 2017 tv <tv> 1.999.808-2.mga7
+ Revision: 1129837
- rebuild for perl 5.26

* Sat Feb 04 2017 shlomif <shlomif> 1.999.808-1.mga6
+ Revision: 1084832
- New version + rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.999.722-3.mga6
+ Revision: 1029556
- Rebuild for perl 5.22.2

* Sat Jun 18 2016 pterjan <pterjan> 1.999.722-2.mga6
+ Revision: 1022070
- Rebuild in the hope it fixes Math::BigInt::GMP tests.
  They work fine if I rebuild this package (on i586 or x86_64) on my machine.

* Fri Apr 29 2016 shlomif <shlomif> 1.999.722-1.mga6
+ Revision: 1007962
- update to 1.999722

* Fri Apr 15 2016 shlomif <shlomif> 1.999.716-1.mga6
+ Revision: 1002136
- update to 1.999716

* Fri Dec 18 2015 shlomif <shlomif> 1.999.710-1.mga6
+ Revision: 911738
- New version 1.999710

* Mon Sep 28 2015 sander85 <sander85> 1.999.704-1.mga6
+ Revision: 884671
- update to 1.999704

* Thu Aug 13 2015 sander85 <sander85> 1.999.700-1.mga6
+ Revision: 864394
- update to 1.9997

* Wed Oct 15 2014 umeabot <umeabot> 1.999.300-4.mga5
+ Revision: 749133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.999.300-3.mga5
+ Revision: 685347
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.999.300-2.mga5
+ Revision: 634032
- perl 5.20 rebuild

* Mon Apr 07 2014 jquelin <jquelin> 1.999.300-1.mga5
+ Revision: 612535
- update to 1.9993

* Fri Oct 18 2013 umeabot <umeabot> 1.997.0-4.mga4
+ Revision: 512827
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.997.0-3.mga3
+ Revision: 369549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1.997.0-2.mga2
+ Revision: 162815
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.997.0-1.mga2
+ Revision: 148131
- update to 1.997

* Mon Feb 28 2011 jquelin <jquelin> 1.993.0-1.mga1
+ Revision: 61432
- update to 1.993

* Sat Feb 26 2011 jquelin <jquelin> 1.992.0-1.mga1
+ Revision: 60684
- update to 1.992

* Fri Feb 18 2011 jquelin <jquelin> 1.991.0-1.mga1
+ Revision: 53696
- update to 1.991

* Tue Jan 18 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 22654
- cleaning spec file
- imported package perl-Math-BigInt

